<?php
$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
if (empty($id)) {
header ('location: /');
exit;
}
$query = DB :: $dbs -> query ("SELECT * FROM `magazin_pr` WHERE `id` = ?", [(int)$_GET['id']]);
if ($query -> rowCount () == 0) {
header ('location: /');
exit;
}
$pr = $query -> fetch ();
$r = DB :: $dbs -> queryFetch ("SELECT * FROM magazin_r WHERE id = ?", [$pr['id_r']]);

$title->SetTitle('Маркет - Добавить товар');
///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Маркет - Добавления товара </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/market" rel="v:url" property="v:title">Маркет</a></li><li typeof="v:Breadcrumb"><a href="/market/kat/'.$r['id'].'" rel="v:url" property="v:title">' . $r['name'].'</a></li><li typeof="v:Breadcrumb"><a href="/market/dir/'.$pr['id'].'" rel="v:url" property="v:title">' . $pr['name'].'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Добавление товара</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo'<div class="catSides"><a href="/market"><i class="md-format-list-bulleted"></i> Маркет</a> - Добавление товара </div>';
if($b['wm'] == 0){
echo '<div class="error">WMID не заполнен! Добавление товара не возможнo! </div>';
} else {
$zip = new ZipArchive;
if (isset($_POST['ok'])) {
$name = check($_POST['name']);
$opis = check($_POST['opis']);
$price = abs((int)$_POST['price']);
$kopii = abs((int)$_POST['kopii']);
$prava = abs((int)$_POST['prava']);
if(!is_numeric($kopii)){
$err ='В поле "копии" должны быть цифры!!!';
}
if (empty($name) or mb_strlen($name)>100){
$err = 'Что-то с названием файла! Или оно слишком длинное, или вы вообще его не ввели!';
}
if (empty($opis)) {
$err = 'Вы не ввели описание файла!';}
if ($price<50 or $price>8000) {
$err = 'Цена должна быть не менее 50 руб. и не более 8 000 руб.';
}
if ($kopii<0) {
$err = 'Не верное число копий!';
}
if($_FILES['file']['size'] > 1024*60*1024){
$err = 'Размер файла превышает 60 мб.!';
}
if(DB::$dbs->querySingle("SELECT COUNT(id) FROM magazin_file WHERE name = ?",[$name])==1){
$err = 'Такой файл уже есть!';
}
$file = $_FILES['file']['name'];
$ext = strtolower(strrchr($file, '.'));
$file = 'SKYWAP_ORG_'.rand(10000,99999).$ext;
$GetExt = ['.rar','.zip'];
if(preg_match('/(\.php|\.pl|\.htaccess)/i', $file) || !in_array($ext, $GetExt)) {
$err .= 'Запрещенный формат файла!';
}
if (empty($err)) {
if($zip->open($_FILES['file']['tmp_name']) === TRUE){
$zip->setArchiveComment($_SERVER['HTTP_HOST'].' - best shop.');
$zip->addFromString('LICENSE_SKYWAP_ORG.txt', 'Оплачивая данный цифровой товар, Вы безусловно принимаете следующее соглашение:
После оплаты цифрового товара, Вы не имеете права перепродавать, дарить, раздавать, его и выкладывать в свободные обменные сети, если это не было заранее оговорено с автором.');
$zip->close();
}
if(copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/files/mag_file/'.$file)) {
$adres = $file;
DB::$dbs->query("INSERT INTO `magazin_file` SET `id_r` = ?, `id_pr` = ?, `time` = ?, `name` = ?,`opis` = ?, `price` = ?, `kopii` = ?, `file` = ?, `user_id` = ?, `prava` = ?", [$pr['id_r'],$pr['id'],time(),$name,$opis,$price,$kopii,$file,$b['id'],$prava]);

$idl = DB::$dbs->lastInsertId();
$file = DB::$dbs->queryFetch("SELECT user_id,id FROM magazin_file WHERE id = ? LIMIT 1",[$idl]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [2,$b['id']]);
lenta(Nick($file['user_id']).' добавил новый <a href="/market/file/'.$file['id'].'">[товар]</a> в магазин!');

if ($_POST['tema'] == 1) {
$names = 'Продажа товара "'.$name.'" ';
$textes = 'Название товара: [b]'.$name.'[/b]<br/>
Описание: '.$opis.'<br/>
Ссылка на товар: [url=http://'.$_SERVER['HTTP_HOST'].'/market/file/'.$idl.']Клик[/url]<br/>';
DB::$dbs->query("INSERT INTO forum_topic SET name = ?, user_id = ?, time = ?, rid = ?, prid = ?, last = ?", [$names,$b['id'],time(),6,30,time()]);
$last = DB::$dbs->lastInsertId();
DB::$dbs->query("INSERT INTO forum_mess SET text = ?, user_id = ?, time = ?, rid = ?, prid = ?, tid = ?", [$textes,$b['id'],time(),6,30,$last]);
}

header('location: /market/file/'.$idl);
} else {
die('Файл не загружен на сервер!');
}
}
else {
echo '<div class="error">Ошибка!<br/></div>';
}
}
echo '<div class="row text_box"><form action="/market/addfiles/'.abs((int)$_GET['id']).'" method="post" enctype="multipart/form-data">Название:<br/><input type="text" class="form-control"  name="name"/><br/>Описание:<br/><textarea class="form-control" rows="3"name="opis"></textarea><br/>* Цена (50-8 000 р.):<br/><input type="text" class="form-control" name="price" value="50"/><br/>Копии (0 - неограниченно):<br/><input type="text" class="form-control"  name="kopii" value="0"/><br/>Файл (max. 60 мб.):<br/><input type="file" name="file"/><br/>
<input type="checkbox" name="prava" value="1"/> С правами на перепродажу<br/><input type="checkbox" name="tema" value="1"/> Создать тему на форуме<br/><input type="submit" name="ok" class="btn btn-primary btn-lg btn-block" value="Добавить"/></form></div>';
}
?>